# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-B-Utils
Version:	0.27
Release:	15.%{__distinit}%{__distvers}
Summary:	Helper functions for op tree manipulation
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/B-Utils
Source0:	https://cpan.metacpan.org/modules/by-module/B/B-Utils-%{version}.tar.gz
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::Depends) >= 0.302
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Task::Weaken)
# Module Runtime
BuildRequires:	perl(B)
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(DynaLoader)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(subs)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Config)
BuildRequires:	perl(Test::More) >= 0.88
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%global __provides_exclude Utils\\.so

%description
Helper functions for op tree manipulation.

%prep
%setup -q -n B-Utils-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorarch}/auto/B/
%{perl_vendorarch}/B/
%{_mandir}/man3/B::Utils.3*
%{_mandir}/man3/B::Utils::OP.3*

%changelog
* Fri Oct 18 2019 Paul Howarth <paul@city-fan.org> - 0.27-15
- RELEASE_TESTING no longer used

* Fri May 31 2019 Paul Howarth <paul@city-fan.org> - 0.27-13
- Perl 5.30 rebuild

* Wed Jun 27 2018 Paul Howarth <paul@city-fan.org> - 0.27-10
- Perl 5.28 rebuild

* Tue Aug  8 2017 Paul Howarth <paul@city-fan.org> - 0.27-8
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Tue Jun 13 2017 Paul Howarth <paul@city-fan.org> - 0.27-6
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - BR: perl-devel unconditionally
  - Drop workaround for building with Test::More < 0.88

* Fri Aug  5 2016 Paul Howarth <paul@city-fan.org> - 0.27-4
- BR: perl-devel and perl-generators where available
- Simplify find commands using -empty and -delete

* Thu Jul 23 2015 Paul Howarth <paul@city-fan.org> - 0.27-1
- Update to 0.27
  - Remove build/IFiles.pm from the shipped dist, as it is meant to be
    auto-generated at install time
  - Support native B::OP::parent with 5.21.2 -DPERL_OP_PARENT
  - Fix t/utils/40walk.t with 5.6
  - Add $op->_parent method as fallback to our parent method since 5.21.2

* Tue Jun 16 2015 Paul Howarth <paul@city-fan.org> - 0.26-2
- Perl 5.22 rebuild

* Mon Apr 27 2015 Paul Howarth <paul@city-fan.org> - 0.26-1
- Update to 0.26
  - Fix tests for perl 5.21.7 (change to nulled COPs) (CPAN RT#100508)
- This release by ETHER → update source URL

* Mon Oct  6 2014 Paul Howarth <paul@city-fan.org> - 0.25-1
- Import from Fedora
- Update to 0.25

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.21-9
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 0.21-5
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 12 2012 Petr Pisar <ppisar@redhat.com> - 0.21-2
- Perl 5.16 rebuild

* Mon Mar 26 2012 Iain Arnell <iarnell@gmail.com> - 0.21-1
- Update to latest upstream version

* Mon Mar 12 2012 Iain Arnell <iarnell@gmail.com> - 0.19-1
- Update to latest upstream version

* Thu Jan 05 2012 Iain Arnell <iarnell@gmail.com> - 0.17-1
- Update to latest upstream version

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.15-2
- Perl mass rebuild

* Wed Apr 20 2011 Iain Arnell <iarnell@gmail.com> 0.15-1
- Update to latest upstream version

* Sun Mar 20 2011 Iain Arnell <iarnell@gmail.com> - 0.14-1
- Update to latest upstream version

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 04 2011 Iain Arnell <iarnell@gmail.com> - 0.13-1
- Update to latest upstream version
- Clean up spec for modern rpmbuild
- Tweak buildrequires

* Wed Dec 15 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.11-3
- Rebuild to fix problems with vendorarch/lib (#661697)

* Thu Apr 29 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.11-2
- Mass rebuild with perl-5.12.0

* Thu Jan 14 2010 Iain Arnell <iarnell@gmail.com> - 0.11-1
- Update to latest upstream version

* Mon Jan 04 2010 Iain Arnell <iarnell@gmail.com> - 0.10-1
- Update to latest upstream version

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.08-2
- Rebuild against perl 5.10.1

* Wed Sep 02 2009 Iain Arnell <iarnell@gmail.com> - 0.08-1
- Update to latest upstream
- Use perl_default_filter 

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.07-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 08 2008 Iain Arnell <iarnell@gmail.com> - 0.07-2
- BR Test::Signature

* Fri Dec 05 2008 Iain Arnell <iarnell@gmail.com> - 0.07-1
- Specfile autogenerated by cpanspec 1.77
